# ``igraph`.`drawing`.`plotly`.`vertex`.`PlotlyVerticesDrawer``

class documentation

`class PlotlyVerticesDrawer(AbstractVertexDrawer): (source)`

Constructor: `PlotlyVerticesDrawer(fig, palette, layout)`

View In Hierarchy

Plotly backend-specific vertex drawer.

Method | `__init__` | Constructs the vertex drawer and associates it to the given palette.
Method | `draw` | Draws the given vertex.
Method | `draw_label` | Undocumented
Instance Variable | `fig` | Undocumented
Instance Variable | `VisualVertexBuilder` | Undocumented
Method | `_construct_visual_vertex_builder` | Undocumented

Inherited from `AbstractVertexDrawer`:

Instance Variable | `layout` | Undocumented
Instance Variable | `palette` | Undocumented

def __init__(self, fig, palette, layout): (source)
overrides `igraph.drawing.baseclasses.AbstractVertexDrawer.__init__`

Constructs the vertex drawer and associates it to the given palette.

Parameters
fig | Undocumented
palette | the palette that can be used to map integer color indices to colors when drawing vertices
layout | the layout of the vertices in the graph being drawn

def draw(self, visual_vertex, vertex, point): (source)
overrides `igraph.drawing.baseclasses.AbstractVertexDrawer.draw`

Draws the given vertex.

Parameters
visual_vertex | object specifying the visual properties of the vertex. Its structure is defined by the VisualVertexBuilder of the `CairoGraphDrawer`; see its source code.
vertex | the raw igraph vertex being drawn
point | Undocumented
coords | the X and Y coordinates of the vertex as specified by the layout algorithm, scaled into the bounding box.

def draw_label(self, visual_vertex, point, **kwds): (source)

Undocumented

fig = (source)

Undocumented

VisualVertexBuilder = (source)

Undocumented

def _construct_visual_vertex_builder(self): (source)

Undocumented